import { Component, OnInit } from '@angular/core';
import { Assignment } from './assignment.model';

@Component({
  selector: 'app-assignments',
  templateUrl: './assignments.component.html',
  styleUrls: ['./assignments.component.css'],
})
export class AssignmentsComponent implements OnInit {

  // assignment dont on veut voir le détail en cliquant dessus
  assignmentSelectionne:Assignment;
  formVisible=false;

  assignments: Assignment[] = [
    {
      nom: 'Devoir Angular No1',
      dateDeRendu: new Date('02-20-2021'),
      rendu: false,
    },
    {
      nom: 'Devoir WebComponent',
      dateDeRendu: new Date('01-26-2021'),
      rendu: true,
    },
    {
      nom: 'Devoir TLN Elena Cabrio',
      dateDeRendu: new Date('01-30-2021'),
      rendu: false,
    },
  ];
  constructor() {}

  ngOnInit(): void {
    /*
    setTimeout(() => {
      this.ajoutActive = true;
    }, 3000);
*/
  }

  assignmentClique(a:Assignment) {
    console.log(a.nom)
    this.assignmentSelectionne = a;
  }

  onAddAssignment() {
    this.formVisible=true;
  }

  onNewAssignment(event) {
    console.log("Ici le père, j'ai reçu un événement du fils...")
    // event c'est le paramètre passé par le fils lors du emit(...)
    // c'est le nouvel assignment à ajouter
    this.assignments.push(event);

    // et on cache le formulaire et on re-affiche la liste
    this.formVisible = false;
  }
}
